/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_QUEUEUI_H_DEAD_
#define	_QUEUEUI_H_DEAD_

extern GList *queue_row;

void queue_update_status(void);
void queue_pop_status(void);
void queue_remove_item(void);
void redisplay_queue(void);
void queue_error(const char *);
void queue_calculate_size(void);
void queue_update_item_status(queue_item_t *);
void queue_clist_append(queue_item_t *);
void queue_update_item_size(queue_item_t *);
void queue_hide_status(void);

typedef struct {
  GtkWidget *window;

  GtkWidget *hostname;
  GtkWidget *port;
  GtkWidget *username;
  GtkWidget *password;

  GtkWidget *local_dir;
  GtkWidget *local_file;
  GtkWidget *remote_dir;
  GtkWidget *remote_file;

  GtkWidget *resume;
  GtkWidget *resume_place;
  GtkWidget *status;
  GtkWidget *status_entry;

  GtkWidget *queue_apply;

  gboolean changed;
} editqueue_t;

extern editqueue_t editqueue;

typedef struct {
  GtkWidget *window;

  GtkWidget *filename;

  GtkWidget *oldpixmap;
  GtkWidget *oldsize;
  GtkWidget *olddate;

  GtkWidget *newpixmap;
  GtkWidget *newsize;
  GtkWidget *newdate;

  GtkWidget *timeout;
  GtkWidget *timeout_time;

  /* We need to do things with thses buttons */
  GtkWidget *overwrite;
  GtkWidget *resume;
  GtkWidget *resume_all;

  gint timeout_tag;
} resumeDialog_t;

extern resumeDialog_t resumeDialog;

extern char *queue_status_strings[];

#endif /* _QUEUEUI_H_DEAD_ */
